module Main
where

import Test.HUnit

import Testing.TestUtil

import Testing.Unit.ExprTests as ET (tests)
import Testing.Unit.TypeCheckTests as TCT (tests)
import Testing.Unit.ExprTreeTests as ETT (tests)
import Testing.Unit.GraphTests as GT (tests)
import Testing.Unit.LayoutTests as LT (tests)
import Testing.Unit.ParserTests as PaT (tests)
import Testing.Unit.ToHaskellTests as ToHsT (tests)
import Testing.Unit.ToPythonTests as ToPyT (tests)
import Testing.Unit.ToSchemeTests as ToScmT (tests)
import Testing.Unit.TreeTests as TT (tests)
import Testing.Unit.UtilTests as UT (tests)

-- run unit tests

main :: IO ()
main = 
  utestloop (TestList [TestLabel "ExprTests" ET.tests,
                       TestLabel "TypeCheckTests" TCT.tests,
                       TestLabel "ExprTreeTests" ETT.tests,
                       TestLabel "GraphTests" GT.tests,
                       TestLabel "LayoutTests" LT.tests,
                       TestLabel "ParserTests" PaT.tests,
                       TestLabel "ToHaskellTests" ToHsT.tests,
                       TestLabel "ToPythonTests" ToPyT.tests,
                       TestLabel "ToSchemeTests" ToScmT.tests,
                       TestLabel "TreeTests" TT.tests,
                       TestLabel "UtilTests" UT.tests
                      ])

